Bug 49691 - vim: Multiple issues (4.4)
vim: Multiple issues (4.4)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.4
All Linux
: P3 normal (vote)
: UCS 4.4-0-errata
Assigned To: Quality Assurance
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-19 11:41 CEST by Philipp Hahn
Modified: 2019-06-19 15:52 CEST (History)
0 users

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 6.3 (CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2019-06-19 11:41:14 CEST
New Debian vim 2:8.0.0197-4+deb9u2 fixes:
This update addresses the following issue:
* The :source! command allows arbitrary command execution via the modeline (CVE-2019-12735)
Comment 1 Quality Assurance univentionstaff 2019-06-19 11:43:49 CEST
--- mirror/ftp/4.3/unmaintained/4.3-0/source/vim_8.0.0197-4+deb9u1.dsc
+++ apt/ucs_4.4-0-errata4.4-0/source/vim_8.0.0197-4+deb9u2.dsc
@@ -1,3 +1,32 @@
+2:8.0.0197-4+deb9u2 [Sun, 16 Jun 2019 13:06:40 -0400] James McCoy <jamessan@debian.org>:
+
+  * Backport patches to address CVE-2019-12735 (Closes: #930020)
+    + 8.0.0649: when opening a help file the filetype is set several times
+    + 8.0.0651: build failure without the auto command feature
+    + 8.1.0066: nasty autocommand causes using freed memory
+    + 8.1.0177: defining function in sandbox is inconsistent
+    + 8.1.0189: function defined in sandbox not tested
+    + 8.1.0205: invalid memory access with invalid modeline
+    + 8.1.0206: duplicate test function name
+    + 8.1.0208: file left behind after running individual test
+    + 8.1.0506: modelinen test fails when run by root
+    + 8.1.0538: evaluating a modeline might invoke using a shell command
+    + 8.1.0539: cannot build without the sandbox
+    + 8.1.0540: may evaluate insecure value when appending to option
+    + 8.1.0544: setting 'filetype' in a modeline causes an error
+    + 8.1.0546: modeline test with keymap fails
+    + 8.1.0547: modeline test with keymap still fails
+    + 8.1.0613: when executing an insecure function the secure flag is stuck
+    + 8.1.1046: the "secure" variable is used inconsistently
+    + 8.1.1365: source command doesn't check for the sandbox
+    + 8.1.1366: using expressions in a modeline is unsafe
+    + 8.1.1367: can set 'modelineexpr' in modeline
+    + 8.1.1368: modeline test fails with python but without pythonhome
+    + 8.1.1382: error when editing test files
+    + 8.1.1401: misspelled mkspellmem and makespellmem
+  * gbp.conf: Set debian-branch to debian/stretch
+  * gbp.conf: Set upstream-tag to v%(version)s
+
 2:8.0.0197-4+deb9u1 [Sat, 30 Sep 2017 14:21:38 -0400] James McCoy <jamessan@debian.org>:
 
   * Backport upstream patches to fix CVE-2017-11109  (Closes: #867720)

<http://10.200.17.11/4.4-0/#8820702741459450627>
Comment 2 Philipp Hahn univentionstaff 2019-06-19 13:17:41 CEST
OK: yaml
OK: announce_errata
OK: patch
~OK: piuparts
 still running, bit 4.3-4 was okay.

[4.4-0] 0a58cedd3a Bug #49691: vim_2:8.0.0197-4+deb9u2
 doc/errata/staging/vim.yaml | 13 +++++++++++++
 1 file changed, 13 insertions(+)
Comment 3 Arvid Requate univentionstaff 2019-06-19 15:52:49 CEST
<http://errata.software-univention.de/ucs/4.4/150.html>